JSR268 is a Java specification for accessing Smart Card device (ISO 7816 specification). It is included in Java6 SE specification. To enable it into Debian, don’t forget to install :

# sudo apt-get install libpcsclite-dev

PCSC-lite development package.

Tested on Sun J2SE 6 and OpenJDK 6.